using System;
using System.Collections.Generic;
using System.Linq;

namespace Interfaces
{
    public class TimeLogList
    {
        public TimeLogList()
        {
            TimeLogs = new List<DailyLogs>();
        }
        public DateTime SelectedDate { get; set; }
        public int CalendarWeek { get; set; }
        public int TimeLogCount { get { return TimeLogs.Sum(x => x.LogCount); } }
        public List<DailyLogs> TimeLogs { get; set; }
        public int MaxDailyLogCount { get { return TimeLogs.Max(x => x.LogCount); } }
        public double WeeklyTotal {
            get { return Math.Round(TimeLogs.Sum(x => x.DailyTotal), 2); }
        }
        public float HoursPerWeekMinutes { get; set; }
        public User UserInformation { get; set; }
    }
}